<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>OrderItemBLL</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OrderItemBLL";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrderItemBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bll</a></div>
<h2 title="Class OrderItemBLL" class="title">Class OrderItemBLL</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bll.OrderItemBLL</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">OrderItemBLL</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../dao/OrderItemDAO.html" title="class in dao">OrderItemDAO</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderItemDAO">orderItemDAO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">OrderItemBLL</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructorul clasei OrderItemBLL, unde este initializat orderItemDAO</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteOrderItem(model.OrderItem)">deleteOrderItem</a></span>&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</code></th>
<td class="colLast">
<div class="block">Stegre un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertOrderItem(model.OrderItem)">insertOrderItem</a></span>&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</code></th>
<td class="colLast">
<div class="block">Insereaza un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectById(int)">selectById</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Gaseste orderItem-ul cu id-ul dorit, apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../model/OrderItem.html" title="class in model">OrderItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectByIdPlusClient(int,java.lang.String)">selectByIdPlusClient</a></span>&#8203;(int&nbsp;id,
                    java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Gaseste orderItem-ul cu id-ul si produsul dorit,apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectOrderItems()">selectOrderItems</a></span>()</code></th>
<td class="colLast">
<div class="block">Se apeleaza metoda selectAll din orderItemDAO,apeland metoda din OrderItemDAO</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateOrderItem(model.OrderItem,java.lang.String)">updateOrderItem</a></span>&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem,
               java.lang.String&nbsp;field)</code></th>
<td class="colLast">
<div class="block">Actualizeaza un orderItem, apeland metoda din OrderItemDAO</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="orderItemDAO">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>orderItemDAO</h4>
<pre>public&nbsp;<a href="../dao/OrderItemDAO.html" title="class in dao">OrderItemDAO</a> orderItemDAO</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OrderItemBLL</h4>
<pre>public&nbsp;OrderItemBLL()</pre>
<div class="block">Constructorul clasei OrderItemBLL, unde este initializat orderItemDAO</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="selectOrderItems()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectOrderItems</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;&nbsp;selectOrderItems()</pre>
<div class="block">Se apeleaza metoda selectAll din orderItemDAO,apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>O lista cu toate obiectele de tip orderItem din baza de date</dd>
</dl>
</li>
</ul>
<a id="selectByIdPlusClient(int,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectByIdPlusClient</h4>
<pre class="methodSignature">public&nbsp;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;selectByIdPlusClient&#8203;(int&nbsp;id,
                                      java.lang.String&nbsp;name)</pre>
<div class="block">Gaseste orderItem-ul cu id-ul si produsul dorit,apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - - id-ul ce trebuie sa il aiba obiectul</dd>
<dd><code>name</code> - - numele produsului din orderItem</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Elementul din baza de date corespunzator</dd>
</dl>
</li>
</ul>
<a id="selectById(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectById</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&gt;&nbsp;selectById&#8203;(int&nbsp;id)</pre>
<div class="block">Gaseste orderItem-ul cu id-ul dorit, apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - - id-ul elementului ce trebuie cautat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Elementul din baza de data corespunzator</dd>
</dl>
</li>
</ul>
<a id="insertOrderItem(model.OrderItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertOrderItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;insertOrderItem&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</pre>
<div class="block">Insereaza un orderItem, apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orderItem</code> - - obiectul care se insereaza</dd>
</dl>
</li>
</ul>
<a id="deleteOrderItem(model.OrderItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOrderItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deleteOrderItem&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem)</pre>
<div class="block">Stegre un orderItem, apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orderItem</code> - - obiectul ce este sters</dd>
</dl>
</li>
</ul>
<a id="updateOrderItem(model.OrderItem,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateOrderItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateOrderItem&#8203;(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;orderItem,
                            java.lang.String&nbsp;field)</pre>
<div class="block">Actualizeaza un orderItem, apeland metoda din OrderItemDAO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orderItem</code> - - obiectul ce este actualizat</dd>
<dd><code>field</code> - - campul ce este actualizat</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrderItemBLL.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
